// Battery powered control from dining wall to cloackroom controller
// V 2 Push button applies power, sends single toggle command and goes to sleep

#include <Arduino.h>
#include <ESP8266WiFi.h>
extern "C" {
#include <espnow.h>
#include <user_interface.h>
}

#define WIFI_DEFAULT_CHANNEL 10


// All FD units now fake this mac address:
uint8_t no1[] = {0x2E, 0X3A, 0XE8, 0X32, 0X7D, 0XC9};   // Front Door


void setup() 
{
  WiFi.disconnect();

  Serial.begin(115200);
  Serial.println("Initializing... CONTROLLER");

  WiFi.mode(WIFI_STA);

   if (esp_now_init() == 0) 
  {
    Serial.println("init");
  } 
  else 
  {
    Serial.println("init failed");
    ESP.restart();
    return;
  }

  Serial.println("ESP_NOW_ROLE_CONTROLLER");
  
  esp_now_set_self_role(ESP_NOW_ROLE_CONTROLLER);
}

uint8_t message[] = { 'b', 'l', 'h', '9', '2', '\0' };   // #9 toggle

void loop() 
{
  esp_now_send( no1, &message[0], sizeof(message) );    

  Serial.print("Message sent ");
  
  for(;;) yield();  
}

