// Battery powered control from dining wall to cloakroom controller
// V 2 Push button applies power, sends single toggle command and goes to sleep
// need to hold button for a couple of seconds.

#include <Arduino.h>
#include <ESP8266WiFi.h>
extern "C" {
#include <espnow.h>
#include <user_interface.h>
}

#define WIFI_DEFAULT_CHANNEL 10


// All FD units now fake this mac address:
uint8_t no1[] = {0x2C,0x3A,0xE8,0x1F,0x42,0xC1};


void setup() 
{
  WiFi.disconnect();

  Serial.begin(115200);
  Serial.println("Initializing... CONTROLLER");

  WiFi.mode(WIFI_STA);

   if (esp_now_init() == 0) 
  {
    Serial.println("init");
  } 
  else 
  {
    Serial.println("init failed");
    ESP.restart();
    return;
  }

  Serial.println("ESP_NOW_ROLE_CONTROLLER");
  
  esp_now_set_self_role(ESP_NOW_ROLE_CONTROLLER);
}

uint8_t message[] = { '1', '9', ',', '2', '1', '\0' };  // code for toggle light

void loop() 
{
  esp_now_send( no1, &message[0], sizeof(message) );    

  Serial.print("Message sent ");
  
  for(;;) yield();  
}

